CREATE TABLE cst_qpp_icp_29971_dyd (
    ITEM_COST_PROFILE_ID          NUMBER(18, 0),
    COST_ORG_ID                   NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ORG_ID              NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)    NOT NULL,
    PRIMARY_UOM_CODE              VARCHAR2(120),
    INVENTORY_ITEM_FLAG           NUMBER(18, 0),
    INVENTORY_ASSET_FLAG          NUMBER(18, 0),
    LOT_CONTROL_CODE              NUMBER(18, 0),
    SERIAL_NUMBER_CONTROL_CODE    NUMBER(18, 0),
    LOCATION_CONTROL_CODE         NUMBER(18, 0),
    COST_ENABLED_FLAG             NUMBER       ,
    SECONDARY_UOM_ENABLED_FLAG    NUMBER(18, 0),
    GRADE_CONTROL_FLAG            NUMBER(18, 0),
    CREATION_SOURCE_CODE          VARCHAR2(120)    NOT NULL,
    COST_PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    UOM_TYPE                      VARCHAR2(120),
    UOM_CODE                      VARCHAR2(120),
    LOT_COST_METHOD               NUMBER       ,
    SERIAL_COST_METHOD            NUMBER       ,
    INV_ORG_ENABLED               NUMBER(18, 0),
    SUBINVENTORY_ENABLED          NUMBER(18, 0),
    LOCATOR_ENABLED               NUMBER(18, 0),
    LOT_ENABLED                   NUMBER(18, 0),
    SERIAL_ENABLED                NUMBER(18, 0),
    GRADE_ENABLED                 NUMBER(18, 0),
    DEFAULT_COST_PROFILE_ID       NUMBER(18, 0),
    PROFILE_CREATION_CODE         VARCHAR2(120)    NOT NULL,
    STATUS_CODE                   VARCHAR2(120)    NOT NULL,
    ERROR_MESSAGE                 VARCHAR2(120),
    COST_PROFILE_TYPE_FLAG        VARCHAR2(4)      NOT NULL,
    ITEM_COST_PROFILE_ID          NUMBER(18, 0),
    COST_ORG_ID                   NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ORG_ID              NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)    NOT NULL,
    PRIMARY_UOM_CODE              VARCHAR2(120),
    INVENTORY_ITEM_FLAG           NUMBER(18, 0),
    INVENTORY_ASSET_FLAG          NUMBER(18, 0),
    LOT_CONTROL_CODE              NUMBER(18, 0),
    SERIAL_NUMBER_CONTROL_CODE    NUMBER(18, 0),
    LOCATION_CONTROL_CODE         NUMBER(18, 0),
    COST_ENABLED_FLAG             NUMBER       ,
    SECONDARY_UOM_ENABLED_FLAG    NUMBER(18, 0),
    GRADE_CONTROL_FLAG            NUMBER(18, 0),
    CREATION_SOURCE_CODE          VARCHAR2(120)    NOT NULL,
    COST_PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    UOM_TYPE                      VARCHAR2(120),
    UOM_CODE                      VARCHAR2(120),
    LOT_COST_METHOD               NUMBER       ,
    SERIAL_COST_METHOD            NUMBER       ,
    INV_ORG_ENABLED               NUMBER(18, 0),
    SUBINVENTORY_ENABLED          NUMBER(18, 0),
    LOCATOR_ENABLED               NUMBER(18, 0),
    LOT_ENABLED                   NUMBER(18, 0),
    SERIAL_ENABLED                NUMBER(18, 0),
    GRADE_ENABLED                 NUMBER(18, 0),
    DEFAULT_COST_PROFILE_ID       NUMBER(18, 0),
    PROFILE_CREATION_CODE         VARCHAR2(120)    NOT NULL,
    STATUS_CODE                   VARCHAR2(120)    NOT NULL,
    ERROR_MESSAGE                 VARCHAR2(120),
    COST_PROFILE_TYPE_FLAG        VARCHAR2(4)      NOT NULL
);
